$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.16.7-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.16.7-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '865793A378DFB74466A02496D20DA60EBB31055F0B354E4937102ACED1D910D5'
  checksumType = 'sha256'
  checksum64 = '865793A378DFB74466A02496D20DA60EBB31055F0B354E4937102ACED1D910D5'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.16.7-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
